org.freeplane.api

## Interface HeadlessMapCreator

- All Known Subinterfaces:
    Controller, Proxy.Controller

      public interface HeadlessMapCreator

  API for creating and accessing mind map without UI.
  Since:
    1.7.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeValueSerializer` | `getAttributeValueSerializer()`
    `HeadlessLoader` | `load(java.io.File file)` Deprecated. since 1.7.5 - use `mapLoader(File)`
    `HeadlessLoader` | `load(java.lang.String input)` Deprecated. since 1.7.5 - use `mapLoader(String)`
    `HeadlessLoader` | `load(java.net.URL url)` Deprecated. since 1.7.5 - use `mapLoader(URL)`
    `HeadlessLoader` | `mapLoader(java.io.File file)` Returns `HeadlessLoader` for accessing or loading mind map from file.
    `HeadlessLoader` | `mapLoader(java.io.InputStream inputStream)` Returns `HeadlessLoader` for accessing or loading mind map from string input.
    `HeadlessLoader` | `mapLoader(java.lang.String input)` Returns `HeadlessLoader` for accessing or loading mind map from string input.
    `HeadlessLoader` | `mapLoader(java.net.URL url)` Returns `HeadlessLoader` for accessing or loading mind map from URL.
    `Script` | `script(java.io.File source)` Create executable script from file.
    `Script` | `script(java.lang.String script, java.lang.String type)` Create executable script from given argument.

- - ### Method Detail

    - #### mapLoader

          HeadlessLoader mapLoader(java.io.File file)

      Returns `HeadlessLoader` for accessing or loading mind map from file.
      Since:
        1.7.5

    - #### mapLoader

          HeadlessLoader mapLoader(java.net.URL url)

      Returns `HeadlessLoader` for accessing or loading mind map from URL.
      Since:
        1.7.5

    - #### mapLoader

          HeadlessLoader mapLoader(java.lang.String input)

      Returns `HeadlessLoader` for accessing or loading mind map from string input.
      Since:
        1.7.5

    - #### mapLoader

          HeadlessLoader mapLoader(java.io.InputStream inputStream)

      Returns `HeadlessLoader` for accessing or loading mind map from string input.
      Since:
        1.7.10

    - #### load

          @Deprecated
          HeadlessLoader load(java.io.File file)

      Deprecated. since 1.7.5 - use `mapLoader(File)`

    - #### load

          @Deprecated
          HeadlessLoader load(java.net.URL url)

      Deprecated. since 1.7.5 - use `mapLoader(URL)`

    - #### load

          @Deprecated
          HeadlessLoader load(java.lang.String input)

      Deprecated. since 1.7.5 - use `mapLoader(String)`

    - #### script

          Script script(java.io.File source)

      Create executable script from file.
      Since:
        1.7.1

    - #### script

          Script script(java.lang.String script,
                        java.lang.String type)

      Create executable script from given argument. The script is executed with all permissions.
      Since:
        1.7.2

    - #### getAttributeValueSerializer

          AttributeValueSerializer getAttributeValueSerializer()

      Since:
        1.7.10